@echo off

rem Set the build environment
call ..\..\Common\bin\setup_env_common
call ..\..\Common\bin\setup_env_driver


rem Move into the correct src directory...
%PROJECT_DRIVE%
cd %PROJECT_DIR%\CYPHER_DRIVERS\CYPHER_AES\src

rem The build utility can't handle source files not being in the same dir
copy ..\..\..\Common\src\* .
copy ..\..\Common\src\* .

rem libtomcrypt library...
copy ..\..\..\..\3rd_party\libtomcrypt\crypt-0.94\aes.c .
copy ..\..\..\..\3rd_party\libtomcrypt\crypt-0.94\aes_tab.c .
copy ..\..\..\..\3rd_party\libtomcrypt\crypt-0.94\crypt.c .
copy ..\..\..\..\3rd_party\libtomcrypt\crypt-0.94\cbc.c .

copy ..\..\..\..\3rd_party\libtomcrypt\crypt-0.94\strings.c .

rem aes requires "zeromem" function
copy ..\..\..\..\3rd_party\libtomcrypt\crypt-0.94\mem.c .

echo Building SYS...
build -cgZ

rem Copying the binary over...
copy %FREEOTFE_OUTPUT_DIR%\FreeOTFECypherAES.sys ..\..\..\..\..\

